﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WintechNetEscola.Views.Aluno
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            this.ExplorerBarDataSource.DataFile = "/App_Data/ExplorerData.xml";
            this.ExplorerBarDataSource.XPath = "/Data/AlunoExplorerBar/Item";
            this.WebTextEditor1.SelectionOnFocus = Infragistics.Web.UI.EditorControls.SelectionOnFocus.SelectAll;
            
            if (IsPostBack)
                this.WebDataGridPesquisa.Focus();
            else
                this.WebTextEditor1.Focus();

            if (WebExplorerMenu.RunBot.IsCallback)
            {
                
            }
        }

        protected void WebDataGridPesquisa_RowSelectionChanged(object sender, Infragistics.Web.UI.GridControls.SelectedRowEventArgs e)
        {
            HttpContext.Current.Session[WebDataGridPesquisa.ID + "idAluno"] = e.CurrentSelectedRows[0].Items[0].Value.ToString();
            HttpContext.Current.Session[WebDataGridPesquisa.ID + "Matricula"] = e.CurrentSelectedRows[0].Items[1].Value.ToString();
            HttpContext.Current.Session[WebDataGridPesquisa.ID + "Nome"] = e.CurrentSelectedRows[0].Items[2].Value.ToString();
        }

        protected void WebTabNavegador_TabItemClosed(object sender, Infragistics.Web.UI.LayoutControls.TabItemEventArgs e)
        {
            int count = this.WebTabNavegador.Tabs.Count;
            while (count-- > 0)
            {
                Infragistics.Web.UI.LayoutControls.ContentTabItem tab = this.WebTabNavegador.Tabs[count];
                if (tab.Hidden)
                {
                    this.WebTabNavegador.Tabs.Remove(tab);
                }
            }
        }
    }
}