﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WintechNetEscola.Views.Aluno.Default" %>

<%@ Register Assembly="Infragistics4.Web.v12.2, Version=12.2.20122.2257, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.EditorControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v12.2, Version=12.2.20122.2257, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v12.2, Version=12.2.20122.2257, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.NavigationControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v12.2, Version=12.2.20122.2257, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.LayoutControls" TagPrefix="ig" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
<script type="text/javascript">

    function initializeWebSplitter(sender, args) {
        resizeControl();
    }

    function resizeControl() {
        try {
            var splitter = $find('<%= WebSplitter1.ClientID %>');
            splitter.get_element().style.height = ($(window).height() - 85).toString() + 'px';
        }
        catch (exception) {
        }
    }
    window.onresize = resizeControl;

</script>

<div>    
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>             
    <div>
        <ig:WebSplitter ID="WebSplitter1" runat="server" Width="100%">
            <ClientEvents Initialize="initializeWebSplitter" />
            <Panes>
                <ig:SplitterPane runat="server" Size="25%" ScrollBars="Hidden" CollapsedDirection="PreviousPane">
                    <Template>
                        <ig:WebExplorerBar ID="WebExplorerMenu" runat="server" Width="100%" 
                            DataSourceID="ExplorerBarDataSource" GroupExpandBehavior="SingleExpanded">
                            <ClientEvents ItemSelected="ExplorerBarItemSelected"/>
                            <DataBindings>
                                <ig:ExplorerBarItemBinding DataMember="Item" ValueField="Value" TextField="Text" NavigateUrlField="NavigateUrl" ImageUrlField="ImageUrl" />
                            </DataBindings>                               
                        </ig:WebExplorerBar> 
                        <asp:XmlDataSource runat="server" ID="ExplorerBarDataSource" />
                    </Template>
                </ig:SplitterPane>
                <ig:SplitterPane runat="server" Size="75%" ScrollBars="Hidden">
                    <Template>
                        <div style="height:90%">
                        <ig:WebSplitter ID="WebSplitter2" runat="server" Width="100%" Orientation="Horizontal" >
                            <Panes>
                                <ig:SplitterPane runat="server" Size="70%" CollapsedDirection="NextPane" ScrollBars="Hidden" FrameScrolling="False">
                                    <Template>                                        
                                        <div>
                                            <ig:WebTextEditor ID="WebTextEditor1" runat="server"
                                                Text="" Width="500px" CssClass="form-control" >
                                                <AutoPostBackFlags EnterKeyDown="On" ValueChanged="Off" />
                                            </ig:WebTextEditor>
                                            <ig:WebDataGrid ID="WebDataGridPesquisa" runat="server" Height="99.5%" Width="100%"
                                                DataSourceID="ObjectDataSourcePesquisa" AutoGenerateColumns="false"
                                                OnRowSelectionChanged="WebDataGridPesquisa_RowSelectionChanged" 
                                                StyleSetName="Default" DataKeyFields="idPessoa">
                                                <Columns>                                                    
                                                    <ig:BoundDataField DataFieldName="idPessoa" Key="idPessoa" Hidden="true">
                                                        <Header Text="idPessoa" />
                                                    </ig:BoundDataField>
                                                    <ig:BoundDataField DataFieldName="Matricula" Key="Matricula" Width="100px">
                                                        <Header Text="Matricula" />
                                                    </ig:BoundDataField>
                                                    <ig:BoundDataField DataFieldName="Nome" Key="Nome">
                                                        <Header Text="Nome" />
                                                    </ig:BoundDataField>
                                                </Columns>                                                
                                                <Behaviors>   
                                                    <ig:Activation></ig:Activation>                                                 
                                                    <ig:Selection Enabled="true" CellClickAction="Row" RowSelectType="Single">
                                                        <AutoPostBackFlags RowSelectionChanged="true" /> 
                                                    </ig:Selection>
                                                    <ig:RowSelectors></ig:RowSelectors>
                                                    <ig:Sorting></ig:Sorting>                                                    
                                                </Behaviors>
                                            </ig:WebDataGrid>              
                                            <asp:ObjectDataSource ID="ObjectDataSourcePesquisa" runat="server" SelectMethod="GetData"
                                                TypeName="WintechNetEscola.Models.Extensions.Aluno">
                                            <SelectParameters>
                                                <asp:ControlParameter ControlID="WebTextEditor1" Type="String" 
                                                    PropertyName="Text" Name="crtPesquisa"/>
                                            </SelectParameters>
                                            </asp:ObjectDataSource>
                                        </div>                                                   
                                    </Template>                                    
                                </ig:SplitterPane>
                                <ig:SplitterPane runat="server" ScrollBars="Hidden">
                                    <Template>                                        
                                        <ig:WebTab ID="WebTabNavegador" runat="server" Width="100%" DisplayMode="Scrollable"
                                            OnTabItemClosed="WebTabNavegador_TabItemClosed" EnableActivation="true" SelectedIndex="0">
                                            <AutoPostBackFlags TabClosed="On"/>
                                            <AddNewTabItem Enabled="false"></AddNewTabItem>
                                            <CloseButton Enabled="true"/>                                            
                                            <PostBackOptions EnableLoadOnDemandUrl="true"/>
                                            <TabMoving Enabled="true" />
                                            <ContentPane AutoSize="true"></ContentPane>                                            
                                            <ScrollButtons>
                                                <NextButton />
                                                <PreviousButton />
                                            </ScrollButtons>                                            
                                            <Tabs>
                                                <ig:ContentTabItem Text="Hidden" Hidden="true"></ig:ContentTabItem>
                                            </Tabs>
                                        </ig:WebTab>
                                        
                                    </Template>
                                </ig:SplitterPane>
                            </Panes>
                        </ig:WebSplitter>
                        </div>
                    </Template>
                </ig:SplitterPane>            
            </Panes>
        </ig:WebSplitter>
    </div>
    </ContentTemplate>             
    </asp:UpdatePanel>
</div>

<script type="text/javascript">

    function ExplorerBarItemSelected(sender, args) {
        var tabExists = false;
        var webTab = $find("<%=WebTabNavegador.ClientID%>");
        for (i = 0; i < webTab.get_tabs().length; i++) {
            if (webTab.getTabAt(i).get_text() == args.getNewSelectedItem().get_text()) {
                //webTab._closeTab(webTab.getTabAt(i));
                webTab.set_selectedIndex(i);
                tabExists = true;
            }
        }
        if (!tabExists) {
            if ((args.getNewSelectedItem().get_value() != 0) && (args.getNewSelectedItem().get_value() != 1)) {
                AddNewTab(args.getNewSelectedItem().get_text(), args.getNewSelectedItem().get_value());
            }
        }

        var webSplitter = $find("<%=WebSplitter2.ClientID%>");
        var pane0 = webSplitter.get_panes()[0];
        if (args.getNewSelectedItem().get_value() != 0) {
            if (args.getNewSelectedItem().get_value() == 1) {
                pane0.set_collapsed(false);
            }
            else {
                pane0.set_collapsed(true);
            }
        }
    }

    function AddNewTab(tabText, tabUrl) {
        var webTab = $find("<%=WebTabNavegador.ClientID%>");
        webTab.addTab(tabText, tabUrl, false);
        webTab.set_selectedIndex(webTab.get_tabs().length - 1);        
    }

</script>

</asp:Content>
